"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StaticFileMapperRun = void 0;
class StaticFileMapperRun {
    constructor({ store, baseUrl }) {
        this.store = store;
        this.baseUrl = baseUrl;
    }
    readStore() {
        return this.store;
    }
    async has({ name }) {
        const store = this.readStore();
        const mapping = store.find((mapping) => mapping.names.find((el) => el === name));
        return !!mapping;
    }
    async resolve({ name }) {
        const store = this.readStore();
        const mapping = store.find((mapping) => mapping.names.find((el) => el === name));
        if (!mapping) {
            throw new Error(`Cannot find static file mapping for ${name}`);
        }
        return `${this.baseUrl}${mapping.generatedName}`;
    }
}
exports.StaticFileMapperRun = StaticFileMapperRun;
//# sourceMappingURL=staticFileMapper.js.map